Subject: Re: [PATCH net] ip6_gre: fix flowi6_proto value in ip6gre_xmit_other()

From: Shmulik Ladkani <[email-masked]>
Date: Fri, 23 Sep 2016 22:00:36 +0300

On Fri, 23 Sep 2016 12:54:59 -0400 Lance Richardson <[email-masked]> wrote:
> Similar to commit 3be07244b733 ("ip6_gre: fix flowi6_proto value in
> xmit path"), set flowi6_proto to IPPROTO_GRE for output route lookup.

Suggesting to add:

Up until now, 'ip6gre_xmit_other' has set flowi6_proto to a bogus value.
This affects output route lookup upon xmit of non ipv4/ipv6 packets on a
ip6gretap device, in cases where routing depends on flowi6_proto.

> Since the correct proto is already set in the tunnel flowi6 template via
> commit 252f3f5a1189 ("ip6_gre: Set flowi6_proto as IPPROTO_GRE in xmit
> path."), simply delete the line setting the incorrect flowi6_proto value.
> 
> Suggested-by: Jiri Benc <[email-masked]>
> Fixes: commit c12b395a4664 ("gre: Support GRE over IPv6")
> Signed-off-by: Lance Richardson <[email-masked]>

Reviewed-by: Shmulik Ladkani <[email-masked]>